\begin{lstlisting}[style=Java, caption=Befüllung der Mindmap Komponente mit Grundknoten, label=code:mindmap-view]
@Named @ViewScoped
public class MindmapView implements Serializable {
    private static final long serialVersionUID = -2809769319088602839L;

    private NetworkSite site;
    private MindmapNode root, selectedNode;
    @Inject private ISiteService siteService;

    @PostConstruct
    public void init() {
        site = SiteManager.getCurrentSite();
        populateDiagram(site);
    }

    private void populateDiagram(NetworkSite site) {
        root = new DefaultMindmapNode(site.getName(), null, "FFCC00", true);
        root.addNode(createRootNode("ROUTER");
        root.addNode(createRootNode("SWITCH");
        root.addNode(createRootNode("CLIENT");
        root.addNode(createRootNode("IPs");
    }

    private DefaultMindmapNode createRootNode(String name){
        return new DefaultMindmapNode(name, null, "6e9ebf", true);
    }
    ...
}
\end{lstlisting}